[package - main-armv6-default][lang/ruby30] Failed for ruby30-3.0.2,1 in configure

From: <pkg-fallout_at_FreeBSD.org>
Date: Mon, 13 Sep 2021 05:45:47 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     ruby_at_FreeBSD.org
Log URL:        http://beefy8.nyi.freebsd.org/data/main-armv6-default/p37fb990074a9_s98168a6e6c/logs/ruby30-3.0.2,1.log
Build URL:      http://beefy8.nyi.freebsd.org/build.html?mastername=main-armv6-default&build=p37fb990074a9_s98168a6e6c
Log:

=>> Building lang/ruby30
build started at Mon Sep 13 05:44:27 UTC 2021
port directory: /usr/ports/lang/ruby30
package name: ruby30-3.0.2,1
building for: FreeBSD main-armv6-default-job-13 14.0-CURRENT FreeBSD 14.0-CURRENT 1400032 arm
maintained by: ruby_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1300121
Jail OSVERSION: 1400032
Job Id: 13




!!! Jail is newer than host. (Jail: 1400032, Host: 1300121) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1400032
UNAME_v=FreeBSD 14.0-CURRENT 1400032
UNAME_r=14.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
QEMU_EMULATING=1
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/main-armv6-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/main-armv6-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=main-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/main-armv6-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for ruby30-3.0.2,1:
     CAPIDOCS=off: Build and install C API documents
     DEBUG=off: Build with debugging support
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
     GMP=off: Use GMP to accelerate Bignum operations
     RDOC=on: Build and install Rdoc indexes
====> Which line editing lib to use: you have to select exactly one of them
     LIBEDIT=on: Use libedit
     READLINE=off: Use libreadline
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
ruby_at_FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--with-rubyhdrdir="/usr/local/include/ruby-3.0/"  --with-rubylibprefix="/usr/local/lib/ruby"  --docdir="/usr/local/share/doc/ruby30"  --with-soname=ruby30 --program-prefix="" --program-suffix="30"  --disable-rpath  --enable-pthread  --enable-shared  --enable-install-static-library  --with-ruby-version=minor  --with-sitedir="/usr/local/lib/ruby/site_ruby"  --with-vendordir="/usr/local/lib/ruby/vendor_ruby" --disable-install-capi --without-gmp --enable-libedit --with-libedit-dir=/usr/local --enable-install-rdoc --with-setjmp-type=_setjmp --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
debugflags= ac_cv_func__setjmp=yes XDG_DATA_HOME=/wrkdirs/usr/ports/lang/ruby30/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/lang/ruby30/work  HOME=/wrkdirs/usr/ports/lang/ruby30/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/lang/ruby30/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CMAKE_PREFIX_PATH="/usr/local" CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=524288
--End CONFIGURE_ENV--

--MAKE_ENV--
OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl OPENSSLINC=/usr/include OPENSSLLIB=/usr/lib XDG_DATA_HOME=/wrkdirs/usr/ports/lang/ruby30/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/lang/ruby30/work  HOME=/wrkdirs/usr/ports/lang/ruby30/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/lang/ruby30/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing "  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS="-I/usr/local/include -isystem /usr/local/include"  LDFLAGS="  -fstack-protector-strong " LIBS="-lpthread -L/usr/local/lib -L/usr/local/lib"  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INS
 TALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" CAPIDOCS="_at_comment " NO_CAPIDOCS="" DEBUG="_at_comment " NO_DEBUG="" DOCS="" NO_DOCS="_at_comment " EXAMPLES="" NO_EXAMPLES="_at_comment " GMP="_at_comment " NO_GMP="" LIBEDIT="" NO_LIBEDIT="_at_comment " RDOC="" NO_RDOC="_at_comment " READLINE="_at_comment " NO_READLINE="" RUBY_LIBDIR="lib/ruby/3.0" RUBY_ARCHLIBDIR="lib/ruby/3.0/armv6-freebsd14" RUBY_SITELIBDIR="lib/ruby/site_ruby/3.0" RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/3.0/armv6-freebsd14" RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/3.0" RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/3.0/armv6-freebsd14" RUBY_MODDOCDIR="share/doc/ruby30/ruby" RUBY_MODEXAMPLESDIR="share/examples/ruby30/ruby" RUBY_DOCDIR="share/doc/ruby30" RUBY_EXAMPLESDIR="share/examples/ruby30" RUBY_RIDIR="share/ri/3.0/system" RUBY_SITERIDIR="share/ri/3.0/site"  RUBY_VERSION="3.0.2"  RUBY_VER="3.0"  RUBY_SHLIBVER="30"  RUBY_ARCH="armv6-freebsd14"  RUBY_SUFFIX="30"  RUBY_NAME="ruby30"  RUBY_DEFAULT_SUFFIX="27"  RUBY26="_at_comment "  RUBY27="_at_comment "  RUBY30="" 
 IF_DEFAULT="_at_comment " OSREL=14.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/ruby"  EXAMPLESDIR="share/examples/ruby"  DATADIR="share/ruby"  WWWDIR="www/ruby"  ETCDIR="etc/ruby"
--End PLIST_SUB--

--SUB_LIST--
CAPIDOCS="_at_comment " NO_CAPIDOCS="" DEBUG="_at_comment " NO_DEBUG="" DOCS="" NO_DOCS="_at_comment " EXAMPLES="" NO_EXAMPLES="_at_comment " GMP="_at_comment " NO_GMP="" LIBEDIT="" NO_LIBEDIT="_at_comment " RDOC="" NO_RDOC="_at_comment " READLINE="_at_comment " NO_READLINE="" PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/ruby DOCSDIR=/usr/local/share/doc/ruby EXAMPLESDIR=/usr/local/share/examples/ruby  WWWDIR=/usr/local/www/ruby ETCDIR=/usr/local/etc/ruby
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_9d218390=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: x86_64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin
_ALTCCVERSION_9d218390=none
_CXXINTERNAL_9c45a5b1=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: x86_64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin "/nxb-bin/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_9d218390_58173849=yes
CC_OUTPUT_9d218390_9bdba57c=yes
CC_OUTPUT_9d218390_6a4fe7f5=yes
CC_OUTPUT_9d218390_6bcac02b=yes
CC_OUTPUT_9d218390_67d20829=yes
CC_OUTPUT_9d218390_bfa62e83=yes
CC_OUTPUT_9d218390_f0b4d593=yes
CC_OUTPUT_9d218390_308abb44=yes
CC_OUTPUT_9d218390_f00456e5=yes
CC_OUTPUT_9d218390_65ad290d=yes
CC_OUTPUT_9d218390_f2776b26=yes
CC_OUTPUT_9d218390_b2657cc3=yes
CC_OUTPUT_9d218390_380987f7=yes
CC_OUTPUT_9d218390_160933ec=yes
CC_OUTPUT_9d218390_fb62803b=yes
_OBJC_CCVERSION_9d218390=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: x86_64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin
_OBJC_ALTCCVERSION_9d218390=none
ARCH=armv6
OPSYS=FreeBSD
_OSRELEASE=14.0-CURRENT
OSREL=14.0
OSVERSION=1400032
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License BSD2CLAUSE RUBY accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   ruby30-3.0.2,1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.17.1.pkg
[main-armv6-default-job-13] Installing pkg-1.17.1...
[main-armv6-default-job-13] Extracting pkg-1.17.1: .......... done
===>   ruby30-3.0.2,1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of ruby30-3.0.2,1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD2CLAUSE RUBY accepted by the user
===> Fetching all distfiles required by ruby30-3.0.2,1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD2CLAUSE RUBY accepted by the user
===> Fetching all distfiles required by ruby30-3.0.2,1 for building
=> SHA256 Checksum OK for ruby/ruby-3.0.2.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD2CLAUSE RUBY accepted by the user
===> Fetching all distfiles required by ruby30-3.0.2,1 for building
===>  Extracting for ruby30-3.0.2,1
=> SHA256 Checksum OK for ruby/ruby-3.0.2.tar.xz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for ruby30-3.0.2,1
===>  Applying FreeBSD patches for ruby30-3.0.2,1 from /usr/ports/lang/ruby30/files
===========================================================================
=======================<phase: build-depends  >============================
===>   ruby30-3.0.2,1 depends on package: libffi>=0 - not found
===>   Installing existing package /packages/All/libffi-3.3_1.pkg
[main-armv6-default-job-13] Installing libffi-3.3_1...
[main-armv6-default-job-13] `-- Installing indexinfo-0.3.1...
[main-armv6-default-job-13] `-- Extracting indexinfo-0.3.1: .... done
[main-armv6-default-job-13] Extracting libffi-3.3_1: .......... done
===>   ruby30-3.0.2,1 depends on package: libffi>=0 - found
===>   Returning to build of ruby30-3.0.2,1
===>   ruby30-3.0.2,1 depends on package: autoconf>=2.69 - not found
===>   Installing existing package /packages/All/autoconf-2.69_3.pkg
[main-armv6-default-job-13] Installing autoconf-2.69_3...
[main-armv6-default-job-13] `-- Installing autoconf-wrapper-20131203...
[main-armv6-default-job-13] `-- Extracting autoconf-wrapper-20131203: .......... done
[main-armv6-default-job-13] `-- Installing m4-1.4.19,1...
[main-armv6-default-job-13] |   `-- Installing gettext-runtime-0.21...
[main-armv6-default-job-13] |   `-- Extracting gettext-runtime-0.21: .......... done
[main-armv6-default-job-13] `-- Extracting m4-1.4.19,1: .......... done
[main-armv6-default-job-13] `-- Installing perl5-5.32.1_1...
[main-armv6-default-job-13] `-- Extracting perl5-5.32.1_1: .......... done
[main-armv6-default-job-13] Extracting autoconf-2.69_3: .......... done
===>   ruby30-3.0.2,1 depends on package: autoconf>=2.69 - found
===>   Returning to build of ruby30-3.0.2,1
===>   ruby30-3.0.2,1 depends on package: automake>=1.16.1 - not found
===>   Installing existing package /packages/All/automake-1.16.3.pkg
[main-armv6-default-job-13] Installing automake-1.16.3...
[main-armv6-default-job-13] Extracting automake-1.16.3: .......... done
===>   ruby30-3.0.2,1 depends on package: automake>=1.16.1 - found
===>   Returning to build of ruby30-3.0.2,1
===========================================================================
=======================<phase: lib-depends    >============================
===>   ruby30-3.0.2,1 depends on shared library: libyaml.so - not found
===>   Installing existing package /packages/All/libyaml-0.2.5.pkg
[main-armv6-default-job-13] Installing libyaml-0.2.5...
[main-armv6-default-job-13] Extracting libyaml-0.2.5: ......... done
===>   ruby30-3.0.2,1 depends on shared library: libyaml.so - found (/usr/local/lib/libyaml.so)
===>   Returning to build of ruby30-3.0.2,1
===>   ruby30-3.0.2,1 depends on shared library: libedit.so.0 - not found
===>   Installing existing package /packages/All/libedit-3.1.20210216,1.pkg
[main-armv6-default-job-13] Installing libedit-3.1.20210216,1...
[main-armv6-default-job-13] Extracting libedit-3.1.20210216,1: .......... done
===>   ruby30-3.0.2,1 depends on shared library: libedit.so.0 - found (/usr/local/lib/libedit.so.0)
===>   Returning to build of ruby30-3.0.2,1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for ruby30-3.0.2,1
configure: loading site script /usr/ports/Templates/config.site
checking for ruby... false
checking build system type... armv6-portbld-freebsd14
checking host system type... armv6-portbld-freebsd14
checking target system type... armv6-portbld-freebsd14
checking for gcc... /nxb-bin/usr/bin/cc
checking whether the C compiler works... no
configure: error: in `/wrkdirs/usr/ports/lang/ruby30/work/ruby-3.0.2':
configure: error: C compiler cannot create executables
See `config.log' for more details
===>  Script "configure" failed unexpectedly.
Please report the problem to ruby_at_FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/lang/ruby30/work/ruby-3.0.2/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/ruby30
Received on Mon Sep 13 2021 - 05:45:47 UTC

Original text of this message